pydo.kubernetes.run_cluster_lint()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.kubernetes.run_cluster_lint(
cluster_id="bd5f5959-5e1e-4205-a714-a914373942af",
body={
"include_groups": [...],
"include_checks": [...],
"exclude_groups": [...],
...,
},
)Description
Clusterlint helps operators conform to Kubernetes best practices around resources, security and reliability to avoid common problems while operating or upgrading the clusters.
To request a clusterlint run on your cluster, send a POST request to
/v2/kubernetes/clusters/{cluster_id}/clusterlint. This will run all
checks present in the doks group by default, if a request body is not
specified. Optionally specify the below attributes.
For information about the available checks, please refer to the clusterlint check documentation.
Parameters
cluster_idstring requiredA unique ID that can be used to reference a Kubernetes cluster.
include_groupsarray of strings optionalExample:
['basic', 'doks', 'security']An array of check groups that will be run when clusterlint executes checks.
include_checksarray of strings optionalExample:
['bare-pods', 'resource-requirements']An array of checks that will be run when clusterlint executes checks.
exclude_groupsarray of strings optionalExample:
['workload-health']An array of check groups that will be omitted when clusterlint executes checks.
exclude_checksarray of strings optionalExample:
['default-namespace']An array of checks that will be run when clusterlint executes checks.
Request Sample
Response Example
More Information
See /v2/kubernetes/clusters/{cluster_id}/clusterlint in the API reference for additional detail on responses, headers, parameters, and more.